2016-10-27 15:40 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000813OpenFOAM[All Projects] Bugpublic2013-04-09 16:19
Assigned Touser2 
PlatformLinuxOSUbuntuOS Version11.04
Product Version 
Target VersionFixed in Version 
Summary0000813: Surface sampling does not work using sample utility
DescriptionFor a simple flat plate test case the surface wall shear stresses and pressures need to be extracted using the sample utility.

In the sampleDict a surface sampling definition is given with type patch and the according patches. However, if sample -latestTime is run, the utility runs without giving errors, the right directories are created but the data directory is empty, i.e. no data is produced.

If no fields are to be sampled, the sample utility correctly produces data files containing only the xyz-coordinates of the patch face centers.

Tested with latest (as of 2013/04/09) 2.2.x commit:
Steps To ReproduceRun attached case using:

simpleFoam > log &
sample -latestTime
Additional InformationThe same has been tested using a sampling surface of type plane -> also no data was produced.
TagsNo tags attached.
Attached Files





Thanks for the report - fixed by commit 3510382

-Issue History
Date Modified Username Field Change
2013-04-09 13:45 FelixL New Issue
2013-04-09 13:45 FelixL File Added: bugReport.tar.gz
2013-04-09 16:19 user2 Note Added: 0002106
2013-04-09 16:19 user2 Status new => resolved
2013-04-09 16:19 user2 Fixed in Version => 2.2.x
2013-04-09 16:19 user2 Resolution open => fixed
2013-04-09 16:19 user2 Assigned To => user2
+Issue History